Bug 39228 - /usr/bin/filter/filter_innd.pl has an error.
/usr/bin/filter/filter_innd.pl has an error.
Product: Red Hat Linux
Classification: Retired
Component: inn (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2001-05-05 15:03 EDT by Need Real Name
Modified: 2007-04-18 12:33 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-05-09 09:19:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-05-05 15:03:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.4.3 i686)

Description of problem:
Using the innd that came with RH 7.1 i386, it comes up with the following
line in /var/log/news/news.notice:
May  5 12:30:47 manwe innd: Perl function filter_art died: Modification of
a read-only value attempted at /usr/bin/filter/filter_innd.pl line 572. 
May  5 12:30:47 manwe innd: SERVER perl filtering disabled

How reproducible:

Steps to Reproduce:
If you configure innd, and get it to start (you've got to init the
history), you can post an article to the local news server to reproduce the

Actual Results:  see above

Expected Results:  It shouldn't disable the perl filter.

Additional info:

If you'll look at /usr/filter/filter_innd.pl:572, you'll see the following
 $lines = $hdr{'__BODY__'} =~ tr/\n/\n/;
If you'll copy the $hdr{'__BODY__'} to a temp variable, it will work:
        $tmp12 = $hdr{'__BODY__'};
        $lines = ($tmp12 =~ tr/\n//);

This fixes the problem.
Comment 1 Florian La Roche 2001-05-09 09:19:08 EDT
thanks for this bug-report. Fixed rpm is on http://people.redhat.com/laroche/
and also
in the next rawhide release. Release version -11.


Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.